import processing.serial.*;

Serial commPort;        // The serial por       // horizontal position of the graph
float distance = 0;
String distance_measured;

void setup () {
    // set the window size:
    size(800, 400);
    //set the port to 4 cause that's the arduino port
    //set the baud rate to 9600
    commPort = new Serial(this, "/dev/ttyUSB0", 9600);

    // don't generate a serialEvent() unless you get a newline character:
    commPort.bufferUntil('\n');
}

void draw () {
   background(0);   //color the backgound to black
   stroke(204, 100, 0);      //set the outline of the rectagle 
   fill(127,0,0);            //set the color red
   rect (50,150,700, 80);    //draw a rectangle with these dimensions and x,y coordinates 
  
    
    //draw triangle pointer
    stroke(204, 102, 0);    //set the outline of the rectagle
    fill(0,200,0);          //set the color green
    rect(50,150,distance,80);  // draw another rectangle but with height differing depending on the distance measured
  
    textAlign(CENTER);
    text("Distance="+ distance_measured, 380, 100);  // write the distance measured   
}

void serialEvent (Serial commPort) {
    // get the ASCII string:
    distance_measured = commPort.readStringUntil('\n');

    if (distance_measured != null) {
      // trim off any whitespace:
      distance_measured = trim(distance_measured);
      // convert to an int and map to the screen height:
      distance = float(distance_measured);
      println(distance);
      distance = map(distance, 0, 500, 15, 2000); // map the distance measured depending on the size of the rectangle I drew 
    }
}
